OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.InvalidateSubdata

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetARBInvalidateSubdata :: MonadIO m => m Bool
- gl_ARB_invalidate_subdata :: Bool
- glInvalidateBufferData :: MonadIO m => GLuint -> m ()
- glInvalidateBufferSubData :: MonadIO m => GLuint -> GLintptr -> GLsizeiptr -> m ()
- glInvalidateFramebuffer :: MonadIO m => GLenum -> GLsizei -> Ptr GLenum -> m ()
- glInvalidateSubFramebuffer :: MonadIO m => GLenum -> GLsizei -> Ptr GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glInvalidateTexImage :: MonadIO m => GLuint -> GLint -> m ()
- glInvalidateTexSubImage :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> m ()

# Extension Support

glGetARBInvalidateSubdata :: MonadIO m => m Bool

Is the ARB_invalidate_subdata extension supported?

gl_ARB_invalidate_subdata :: Bool

Is the ARB_invalidate_subdata extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBInvalidateSubdata` in those cases instead.

# Functions

glInvalidateBufferData

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> m () |

Manual page for OpenGL 4.x.

glInvalidateBufferSubData

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizeiptr | `length` of type `BufferSize`.
-> m () |

Manual page for OpenGL 4.x.

glInvalidateFramebuffer

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLsizei | `numAttachments`.
-> Ptr GLenum | `attachments` pointing to `numAttachments` elements of type `GLenum`.
-> m () |

Manual page for OpenGL 4.x.

glInvalidateSubFramebuffer

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLsizei | `numAttachments`.
-> Ptr GLenum | `attachments` pointing to `numAttachments` elements of type `GLenum`.
-> GLint | `x`.
-> GLint | `y`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual page for OpenGL 4.x.

glInvalidateTexImage

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> m () |

Manual page for OpenGL 4.x.

glInvalidateTexSubImage

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLint | `yoffset`.
-> GLint | `zoffset`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> m () |

Manual page for OpenGL 4.x.